# Gimp.Palette.set_columns

    @accepts(Gimp.Palette, int)
    @returns(bool)
    def set_columns(self, columns):
        # Python wrapper for gimp_palette_set_columns()

Sets the number of columns used to display the palette

Set the number of colors shown per row when the palette is displayed. Returns an error when the palette is not editable. The maximum allowed value is 64.

Since 2.4

self

  The palette.

columns

  The new number of columns.

Returns